プラグイン: Mix::Plugin::Graphics::ITextureKit Class Reference

プラグイン

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Plugin::Graphics::ITextureKit Class Referenceabstract

テクスチャキットインターフェース More...

`#include <TextureLoader.h>`

## Public Types

enum | TYPE { PLANE = 0, CUBE = 1, VOLUME = 2 }
| タイプ列挙定数 More...
enum | FLAG { CUBE_POSITIVEX = 0x00000001, CUBE_NEGATIVEX = 0x00000002, CUBE_POSITIVEY = 0x00000004, CUBE_NEGATIVEY = 0x00000008, CUBE_POSITIVEZ = 0x00000010, CUBE_NEGATIVEZ = 0x00000020 }
| フラグ列挙定数 More...
enum | FORMAT { R8G8B8A8 = 0, BC1 = 1, BC2 = 2, BC3 = 3 }
| フォーマット列挙定数 More...

## Public Member Functions

virtual void | SetType (Mix::Plugin::Graphics::ITextureKit::TYPE type)=0
| タイプを設定します More...
virtual void | SetFormat (Mix::Plugin::Graphics::ITextureKit::FORMAT format)=0
| フォーマットを設定します More...
virtual void | SetSize (unsigned int width, unsigned int height)=0
| サイズを設定します More...
virtual void | SetDepth (unsigned int depth)=0
| 深度を設定します More...
virtual void | SetMipLevels (unsigned int mipLevels)=0
| ミップマップの数を設定します More...
virtual void | SetFlags (unsigned int flags)=0
| フラグを設定します More...
virtual void * | AddSubResourceData (unsigned int memSize, unsigned int memRowPitch, unsigned int memSlicePitch=0)=0
| サブリソースを追加します More...
virtual void | AddSubResourceData (const void *pMem, unsigned int memSize, unsigned int memRowPitch, unsigned int memSlicePitch=0)=0
| サブリソースを追加します More...

## Protected Member Functions

virtual | ~ITextureKit (void)
| デストラクタ More...

## Detailed Description

テクスチャキットインターフェース

## Member Enumeration Documentation

enum Mix::Plugin::Graphics::ITextureKit::FLAG

フラグ列挙定数

Enumerator
CUBE_POSITIVEX | キューブの正方向のＸ面
CUBE_NEGATIVEX | キューブの負方向のＸ面
CUBE_POSITIVEY | キューブの正方向のＹ面
CUBE_NEGATIVEY | キューブの負方向のＹ面
CUBE_POSITIVEZ | キューブの正方向のＺ面
CUBE_NEGATIVEZ | キューブの負方向のＺ面

enum Mix::Plugin::Graphics::ITextureKit::FORMAT

フォーマット列挙定数

Enumerator
R8G8B8A8 | 各チャンネルが 8Bit の RGBA フォーマット
BC1 | BC1 フォーマット
BC2 | BC2 フォーマット
BC3 | BC3 フォーマット

enum Mix::Plugin::Graphics::ITextureKit::TYPE

タイプ列挙定数

Enumerator
PLANE | プレーンテクスチャ
CUBE | キューブテクスチャ
VOLUME | ボリュームテクスチャ

## Constructor & Destructor Documentation

virtual Mix::Plugin::Graphics::ITextureKit::~ITextureKit | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void* Mix::Plugin::Graphics::ITextureKit::AddSubResourceData | ( | unsigned int | memSize,
|  | unsigned int | memRowPitch,
|  | unsigned int | memSlicePitch = `0`
| ) |  |

pure virtual

サブリソースを追加します

Parameters

  [in] | memSize | メモリのサイズ( バイト単位 )
  [in] | memRowPitch | メモリの一線のサイズ( バイト単位 )
  [in] | memSlicePitch | 次のメモリまでの距離( バイト単位 )

Returns
  memSize だけ確保したメモリのポインタを返します。

virtual void Mix::Plugin::Graphics::ITextureKit::AddSubResourceData | ( | const void * | pMem,
|  | unsigned int | memSize,
|  | unsigned int | memRowPitch,
|  | unsigned int | memSlicePitch = `0`
| ) |  |

pure virtual

サブリソースを追加します

Parameters

  [in] | pMem | メモリのポインタ
  [in] | memSize | メモリのサイズ( バイト単位 )
  [in] | memRowPitch | メモリの一線のサイズ( バイト単位 )
  [in] | memSlicePitch | 次のメモリまでの距離( バイト単位 )

virtual void Mix::Plugin::Graphics::ITextureKit::SetDepth | ( | unsigned int | depth | ) |

pure virtual

深度を設定します

Parameters

  [in] | depth | 深度

Note
  ボリュームテクスチャのスライス数になります。

virtual void Mix::Plugin::Graphics::ITextureKit::SetFlags | ( | unsigned int | flags | ) |

pure virtual

フラグを設定します

Parameters

  [in] | flags | Mix::Plugin::Graphics::ITexture::FLAG 列挙定数の組み合わせ

virtual void Mix::Plugin::Graphics::ITextureKit::SetFormat | ( | Mix::Plugin::Graphics::ITextureKit::FORMAT | format | ) |

pure virtual

フォーマットを設定します

Parameters

  [in] | format | フォーマットを表す Mix::Plugin::Graphics::ITextureKit::FORMAT 列挙定数

virtual void Mix::Plugin::Graphics::ITextureKit::SetMipLevels | ( | unsigned int | mipLevels | ) |

pure virtual

ミップマップの数を設定します

Parameters

  [in] | mipLevels | ミップマップの数

virtual void Mix::Plugin::Graphics::ITextureKit::SetSize | ( | unsigned int | width,
|  | unsigned int | height
| ) |  |

pure virtual

サイズを設定します

Parameters

  [in] | width | 幅
  [in] | height | 高さ

virtual void Mix::Plugin::Graphics::ITextureKit::SetType | ( | Mix::Plugin::Graphics::ITextureKit::TYPE | type | ) |

pure virtual

タイプを設定します

Parameters

  [in] | type | タイプを表す Mix::Plugin::Graphics::ITextureKit::TYPE 列挙定数

The documentation for this class was generated from the following file:

- Mix/Plugin/Graphics/TextureLoader.h